import distutils
from distutils.core import setup, Extension
from install_data import Data_Files, install_Data_Files
import sys, os

VERSION = '1.0'

setup(name='pylinus_1_0',
      cmdclass = {'install_data':install_Data_Files},
      packages = ['pylinus_1_0', 'pylinus_1_0.utils'],
      package_dir = {'pylinus_1_0': './pylinus_1_0', 
                     'pylinus_1_0.utils': './pylinus_1_0/utils'},
      data_files=[Data_Files('install_lib', 
                             copy_to='pylinus_1_0/utils', 
                             files=['pylinus_1_0/utils/ribosome.dat',
                                    ]
                            ),
                  ],
      ext_modules = [
               Extension('Atom3dc', ['Src/atom3d.c'],
                         libraries=['m']),
               Extension('cmrg32', ['Src/cmrg32.c'], libraries=['m']),
               Extension('linusc', ['Src/linusc.c'], libraries=['m']),
               ]
           )
